<template>
  <!-- 添加托运人信息 -->
  <div class="addWagonLoad">
    <PageTitle>返回</PageTitle>
     <div class="form-box" style="margin-right: 10rem">
       <!-- 323 -->
        <dil-form :formId="323" v-model="form1" ref="from1"></dil-form>
      </div>
    <div class="button-box">
      <el-button @click="cancel">取消</el-button>
      <el-button type="primary" @click="makeSure">确定</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";

export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
      value: undefined,
      shipperName:"四川达钢",
      shipperAbbreviation:"四川达钢"
    };
  },
  mounted() {
    this.form1.shipperName = this.shipperName;
    this.form1.shipperAbbreviation = this.shipperAbbreviation;
  },
  methods: {
     makeSure() {
       console.log(this.form1)
       let RmsShipper={
        shipperName: this.form1.shipperName,
        shipperAbbreviation: this.form1.shipperAbbreviation,
        shipperId:this.form1.shipperId,
        shipperCompanyBranch:this.form1.shipperCompanyBranch,
        shipperBranchFactory:this.form1.shipperBranchFactory
      };
      if(
        RmsShipper.shipperName==null ||
        RmsShipper.shipperAbbreviation ==null ||
        RmsShipper.shipperCompanyBranch ==null ||
        RmsShipper.shipperBranchFactory ==null
      )this.$message.error("存在空值！");
      else
      this.axios
        .post(
          "/api/v1/rms/insertShipper",
           RmsShipper

        )
        .then((res) => {
          if (res.data.code == 200) {
            this.$message({
              type: "success",
              message: "新增成功!",
            });
            // this.$refs.table.refreshData();
            this.$router.go(-1);
          } else {
            this.$message.error("新增失败,可能存在重复！");
          }
         // this.$refs['table'].resetField();
        });
    },
    // 取消
    cancel() {
      this.$router.go(-1);
    },
  },
};
</script>
<style lang='scss' >
 .button-box{
    display: flex;
    justify-content: center;
    .el-button{
      width: 80px;
      margin-right: 10px;
    }
  }
.form-box{
  display: flex;
  justify-content: center;
  .el-form-item{
    display: flex;
    justify-content: center;
    .el-form-item__label{
      display: flex;
      align-items: center;
    }
    .el-form-item__content{
      .el-input{
        .el-input__inner{
          width: 250px;
        }
      }
    }
  }
}
</style>
